;****************************************
; General
;****************************************

; Description
; A drush makefile for CiviCRM.

; drush make API version
api = 2

; Drupal core
core = 7.x

;****************************************
; CiviCRM core
;****************************************

; Checking for new updates at:
; http://sourceforge.net/projects/civicrm/files/civicrm-stable/

libraries[civicrm][destination] = modules
libraries[civicrm][directory_name] = civicrm
libraries[civicrm][download][type] = get
libraries[civicrm][download][url] = http://downloads.sourceforge.net/project/civicrm/civicrm-stable/4.2.7/civicrm-4.2.7-drupal.tar.gz

; Download available l10n releases (may be outdated)
libraries[civicrm_l10n][destination] = modules
libraries[civicrm_l10n][directory_name] = civicrm
libraries[civicrm_l10n][download][type] = get
libraries[civicrm_l10n][download][url] = http://downloads.sourceforge.net/project/civicrm/civicrm-stable/4.2.7/civicrm-4.2.7-l10n.tar.gz
libraries[civicrm_l10n][overwrite] = TRUE

; Overwrite .mo files with latest version from SVN
libraries[civicrm_l10n_latest][destination] = modules
libraries[civicrm_l10n_latest][directory_name] = civicrm/l10n
libraries[civicrm_l10n_latest][download][type] = svn
libraries[civicrm_l10n_latest][download][url] = http://svn.civicrm.org/l10n/trunk/
libraries[civicrm_l10n_latest][overwrite] = TRUE

;****************************************
; Patches
;****************************************

; dbLocale is not always initialized - should now be fixed in latest version of provision-civicrm
; http://issues.civicrm.org/jira/browse/CRM-10606
; http://drupal.org/node/1728628#comment-6344856
libraries[civicrm][patch][10606] = http://drupal.org/files/CRM-10606-4.2.7.patch

; bug in api v3 domain
libraries[civicrm][patch][11804] = http://drupal.org/files/CRM-11804.patch

;****************************************
; Modules
;****************************************

projects[civicrm_error][subdir] = contrib
projects[civicrm_error][version] = 2.0-rc3

projects[webform_civicrm][subdir] = contrib
projects[webform_civicrm][version] = 3.4

;****************************************
; End
;****************************************
